Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233637 - links for packages with special characters in their name broken in webui
Summary: links for packages with special characters in their name broken in webui
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site
Version: rhn500
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Justin Sherrill
QA Contact: wes hayutin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-23 15:20 UTC by Máirín Duffy
Modified: 2008-04-02 21:08 UTC (History)
1 user (show)

Fixed In Version: sat510
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-02 21:08:30 UTC


Attachments (Terms of Use)
note how gcc-c++-ssa is in the list (deleted)
2007-03-23 15:20 UTC, Máirín Duffy
no flags Details
see how gcc-c++-ssa is not found. it has also been renamed to 'gcc-c -saa' on the page (deleted)
2007-03-23 15:22 UTC, Máirín Duffy
no flags Details

Description Máirín Duffy 2007-03-23 15:20:29 UTC
NOTE: I am opening this bug as public so customers can follow along.

Description of problem:

Basically, links for packages that have special characters in their name are
broken in the webui. When you click on them, you receive a "no package" message.
The links are from a package search results page; not sure if there are other
links to these packages (in say channel details > packages tab) that are
similarly broken. Here are some example packages that have broken links:

compat-gcc-c++
gcc-c++
gcc-c++-ssa

Sam Sharpe on nahant-list came up with a workaround:

"You need to manually replace the + in the destination URL with %2B, like
so:

https://rhn.redhat.com/network/software/packages/name_overview.pxt?package_name=gcc-c%2b%2b-ssa&channel_arch_ia32=channel-ia32&channel_arch_ia64=channel-ia64&channel_arch_x86_64=&search_subscribed_channels=
"

Please refer to
https://www.redhat.com/archives/nahant-list/2007-March/msg00219.html for the
full customer description of the issue.

Comment 1 Máirín Duffy 2007-03-23 15:20:30 UTC
Created attachment 150766 [details]
note how gcc-c++-ssa is in the list

Comment 2 Máirín Duffy 2007-03-23 15:22:16 UTC
Created attachment 150767 [details]
see how gcc-c++-ssa is not found. it has also been renamed to 'gcc-c -saa' on the page

Comment 3 Brandon Perkins 2007-09-27 22:55:04 UTC
I wan this rechecked.

Comment 4 wes hayutin 2007-09-28 13:13:13 UTC
works fine in 5.1 build 8

package gcc-c++-3.4.6-8.i386.rpm Help Icon

    * Details
    * New Versions
    * Installed Systems
    * Target Systems

    * Overview
    * Dependencies
    * Change Log
    * File List



Comment 6 John Ha 2007-12-04 01:26:14 UTC
Here is a release note for this issue as suggested by Mairin:

 A bug was fixed where the Details page for packages whose names contain a
 special character, such as a plus sign (`+`), would display a "no package" error.

Comment 7 Mike McCune 2008-03-17 19:34:33 UTC
release_pending

Comment 8 Brandon Perkins 2008-04-02 21:08:30 UTC
UI Enhancements for 5.1 Sat GA so Closed for Current Release.


Note You need to log in before you can comment on or make changes to this bug.